Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162286 - smbclient ignores -p|--port command line parameter
Summary: smbclient ignores -p|--port command line parameter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
: 172370 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 22:12 UTC by Antti-Pekka Liedes
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:42:55 UTC


Attachments (Terms of Use)

Description Antti-Pekka Liedes 2005-07-01 22:12:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
Smbclient doesn't take the port given on command line into account.


Version-Release number of selected component (if applicable):
samba-client-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. "ssh -L10000:someserver:139 someotherserver"
2. "smbclient //someserver/someshare -I localhost -p 10000"

  

Actual Results:  Step 2 produced "Error connecting to 127.0.0.1 (Connection refused)"


Expected Results:  A successful smbclient connection.


Additional info:

Doing "ssh -L139:someserver:139 someotherserver" instead in step 1 makes step 2 work ok.  Obviously, this is only possible as root and prevents the machine running smbclient from running smbd (on default port).

Comment 1 Christian Iseli 2007-01-22 11:36:52 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Simo Sorce 2007-03-14 16:42:55 UTC
Tested and fixed in FC6

Comment 3 Simo Sorce 2007-03-14 21:24:56 UTC
*** Bug 172370 has been marked as a duplicate of this bug. ***

Comment 4 fedoracoreman 2007-03-16 10:02:31 UTC
issue resolved


Note You need to log in before you can comment on or make changes to this bug.